Bug 96061 - Text background/highlighting color doesn't reopen well in LO when exporting as PPTX (OK in MSO)
Summary: Text background/highlighting color doesn't reopen well in LO when exporting a...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.5
Keywords: filter:pptx
: 125350 129418 130498 134117 134950 137364 (view as bug list)
Depends on:
Blocks: PPTX-Paragraph
  Show dependency treegraph
 
Reported: 2015-11-25 12:00 UTC by cousteau
Modified: 2021-06-09 10:39 UTC (History)
12 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
test ODP (12.54 KB, application/vnd.oasis.opendocument.presentation)
2020-10-09 09:14 UTC, Timur
Details
test ODP saved as PPTX and PPT and compared MSO 2016 LO 7.1+ (129.94 KB, image/png)
2020-10-09 09:19 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cousteau 2015-11-25 12:00:58 UTC
Steps to reproduce:
* Create new Impress presentation
* Create a text box with some text
* Select the text and set text background color to e.g. red
* Save as .ppt or .pptx
* Close Impress
* Open saved document
Result: text background color has disappeared.

This may be a bug with either the PPT[X] export or the import; I can't check it right now but it should be easy to check using MS Office to open or save the file.

Works correctly if the file is saved as .odp (although it won't display correctly in slideshow mode; see bug #93789).

Xubuntu Linux 12.04 64b
LibreOffice 5.0.3.2 (from Ubuntu repositories)
Comment 1 MM 2015-11-25 16:40:07 UTC Comment hidden (obsolete)
Comment 2 A (Andy) 2015-11-25 23:25:56 UTC
For me not reproducible with LO 5.0.3.2, Win 8.1
Comment 3 cousteau 2015-11-26 13:58:23 UTC
(In reply to MM from comment #1)
> Maybe a dup of bug 90013 , bug 62255 or else bug 49299 ???

Not quite.  Bug 90013 and bug 62255 are about the background color ("Area") of the whole text box, not of the text inside it (plus this seems to work fine for me).  I'm talking about the "text highlighting" feature.

Bug 49299 is about the background image of the whole slide (and was due to the image format) so it's not related.
Comment 4 MM 2015-11-26 23:42:28 UTC
Confirmed with v5.0.3.2 under mint 17.2 x64.
Confirmed with v5.0.3.2 under windows 10 x64.
Comment 5 Katarina Behrens (Inactive) 2016-02-04 08:44:15 UTC
Text background/highlighting doesn't exist in Powerpoint and it is not supported by ppt(x) format. 

The only thing that can be done here is to save/load the property into LibreOffice extension namespace. LibreOffice can then render such documents showing highlighted text, but Powerpoint will ignore it.
Comment 6 QA Administrators 2017-03-06 16:10:29 UTC Comment hidden (obsolete)
Comment 7 raal 2019-05-18 15:13:38 UTC
*** Bug 125350 has been marked as a duplicate of this bug. ***
Comment 8 Timur 2019-09-03 14:30:22 UTC Comment hidden (obsolete)
Comment 9 Aron Budea 2020-02-05 03:48:44 UTC
Seems that the feature has been added to PowerPoint 2019:
https://support.office.com/en-us/article/highlight-your-text-28623777-d955-4fcf-bbc5-a50051552219
Comment 10 Timur 2020-10-09 09:13:14 UTC
*** Bug 137364 has been marked as a duplicate of this bug. ***
Comment 11 Timur 2020-10-09 09:14:36 UTC
Created attachment 166228 [details]
test ODP
Comment 12 Timur 2020-10-09 09:19:19 UTC
Created attachment 166229 [details]
test ODP saved as PPTX and PPT and compared MSO 2016 LO 7.1+

Test ODP is saved as PPTX and PPT and compared in MSO 2016 and LO 7.1+.

PPTX opens OK in MSO and NOK in LO, so it's rountrip (RT) issue. 
PPT opens wrong, not sure if proposed solution to add in LO namespace can be done for PPT at all.
At least this bug remains for PPTX RT in LO.
Comment 13 Timur 2020-10-09 10:07:15 UTC
*** Bug 130498 has been marked as a duplicate of this bug. ***
Comment 14 Timur 2020-10-09 10:08:05 UTC
*** Bug 134950 has been marked as a duplicate of this bug. ***
Comment 15 Timur 2020-10-09 10:44:02 UTC
*** Bug 134117 has been marked as a duplicate of this bug. ***
Comment 16 Timur 2020-10-09 10:47:34 UTC
Bug 134117 is fileopen of PPTX created in MSO, so somewhat different from this bug which is RT fileopen of PPTX created in LO. But may be resolved here. 
MSO PPTX attachment 162174 [details] with highlighted text compared in screenshot attachment 166234 [details].
Comment 17 Xisco Faulí 2020-10-15 12:08:45 UTC
not really a high priority issue
Comment 18 hellwoodfire 2021-01-15 20:52:09 UTC
This should be a really a high priority issue. When the teacher open in Microsoft Office my presentation in font of the call, everyone laughs and I look like a dumb clown who can't use PowerPoint. I created my presentation in Impress. Poor compatibility with Microsoft Office is what turns people off using LibreOffice the most. Stop minimizing the importance of this type of bug.
Comment 19 hellwoodfire 2021-01-15 20:53:28 UTC
"in font of the class", sorry.
Comment 20 NISZ LibreOffice Team 2021-01-21 13:39:48 UTC
*** Bug 129418 has been marked as a duplicate of this bug. ***
Comment 21 hellwoodfire 2021-01-21 15:27:27 UTC Comment hidden (no-value)
Comment 22 Gerald Pfeifer 2021-04-30 13:32:12 UTC
(In reply to Timur from comment #16)
> Bug 134117 is fileopen of PPTX created in MSO, so somewhat different from
> this bug which is RT fileopen of PPTX created in LO. But may be resolved
> here. 
> MSO PPTX attachment 162174 [details] with highlighted text compared in
> screenshot attachment 166234 [details].

I did a number of experiments, in the LibreOffice PPTX export filter appears
fine (i.e., things show properly in Office 365).

The LibreOffice PPTX import filter appears to be the issue (i.e., documents
exported from Office 365 *and* LibreOffice exhibit the problem).


I ran into this twice myself, nearly resulting in rather unhappy situations
both times, and will see that SUSE sponsors a fix.
Comment 23 Commit Notification 2021-05-26 08:15:52 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1cd26a9ab64482daf4de08f5bb7730d0a991bbce

tdf#96061 Unset the highlight property

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2021-05-26 13:21:56 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/2ff2a77990a09637321417bfda23206a5a8306e8

tdf#96061 Unset the highlight property

It will be available in 7.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Andras Timar 2021-05-30 08:49:42 UTC
The patches above fixed the "save as PPTX, re-open in LO" case. I don't think that anybody is interested in the ppt filter, because it is an obsolete format and does not support the text highlight feature anyway. Let's close this bug.
Comment 26 Gerald Pfeifer 2021-05-30 10:43:49 UTC
I am verifying this is fixed, base on various tests (and agree with
Andras on the focus on PPTX with PPT even supporting this).

(In reply to hellwoodfire from comment #18)
> This should be a really a high priority issue. 
> :
> Stop minimizing the importance of this type of bug.

hellwoodfire@, "should" in the context of an open source project can
be tricky: essentially there are three ways to get something done: 
(1) Report it/kindly ask for it and hope someone volunteers.
(2) Volunteer yourself. (3) Fund that work. Which is what I did here.
Comment 27 Xisco Faulí 2021-05-31 06:51:31 UTC
(In reply to Gerald Pfeifer from comment #26)
> I am verifying this is fixed, base on various tests (and agree with
> Andras on the focus on PPTX with PPT even supporting this).
> 
> (In reply to hellwoodfire from comment #18)
> > This should be a really a high priority issue. 
> > :
> > Stop minimizing the importance of this type of bug.
> 
> hellwoodfire@, "should" in the context of an open source project can
> be tricky: essentially there are three ways to get something done: 
> (1) Report it/kindly ask for it and hope someone volunteers.
> (2) Volunteer yourself. (3) Fund that work. Which is what I did here.

Nicee! Thanks a lot for that!!
Comment 28 Timur 2021-05-31 12:33:24 UTC
This bug is already verified for PPTX, great work. I mark PPTX only. 
I will open another one for PPT (as usually filters are different), just to keep it registered, because upon testing I see that highlight works with DOC in MSO 2016.